=== modified file 'drizzled/plugin/storage_engine.cc'
--- drizzled/plugin/storage_engine.cc	2010-03-19 04:54:45 +0000
+++ drizzled/plugin/storage_engine.cc	2010-03-19 23:21:38 +0000
@@ -442,9 +442,7 @@
 
   result_type operator() (argument_type engine)
   {
-    // @todo someday check that at least one engine said "true"
-    std::string path(identifier.getPath());
-    bool success= engine->doDropTable(session, identifier, path);
+    bool success= engine->doDropTable(session, identifier);
 
     if (success)
       success_count++;
@@ -478,7 +476,7 @@
   {
     std::string path(identifier.getPath());
     engine->setTransactionReadWrite(session);
-    error= engine->doDropTable(session, identifier, path);
+    error= engine->doDropTable(session, identifier);
 
     if (not error)
     {
@@ -862,7 +860,7 @@
          iter++)
     {
       TableIdentifier dummy((*iter).c_str());
-      int error= engine->doDropTable(session, dummy, *iter);
+      int error= engine->doDropTable(session, dummy);
 
       // On a return of zero we know we found and deleted the table. So we
       // remove it from our search.

=== modified file 'drizzled/plugin/storage_engine.h'
--- drizzled/plugin/storage_engine.h	2010-03-19 01:45:39 +0000
+++ drizzled/plugin/storage_engine.h	2010-03-19 23:21:38 +0000
@@ -301,13 +301,6 @@
   virtual void doGetTableNames(CachedDirectory &directory,
                                std::string& db_name,
                                TableNameList &set_of_names);
-  int doDropTable(Session &session,
-                  TableIdentifier &identifier,
-                  const std::string &table_path)
-  {
-    assert(not table_path.compare(identifier.getPath()));
-    return doDropTable(session, identifier);
-  }
 
   virtual int doDropTable(Session &session,
                           TableIdentifier &identifier)= 0;

=== modified file 'drizzled/session.cc'
--- drizzled/session.cc	2010-03-19 04:54:45 +0000
+++ drizzled/session.cc	2010-03-19 23:21:38 +0000
@@ -2054,7 +2054,7 @@
   if (delete_table_proto_file(path))
     error= true;
 
-  if (base->doDropTable(*this, dummy, path))
+  if (base->doDropTable(*this, dummy))
   {
     error= true;
     errmsg_printf(ERRMSG_LVL_WARN, _("Could not remove temporary table: '%s', error: %d"),

=== modified file 'drizzled/table.cc'
--- drizzled/table.cc	2010-03-19 23:10:23 +0000
+++ drizzled/table.cc	2010-03-19 23:21:38 +0000
@@ -3303,7 +3303,7 @@
       cursor->closeMarkForDelete(s->table_name.str);
 
     TableIdentifier identifier(s->table_name.str);
-    s->db_type()->doDropTable(*session, identifier, s->table_name.str);
+    s->db_type()->doDropTable(*session, identifier);
 
     delete cursor;
   }
@@ -3418,7 +3418,7 @@
  err1:
   {
     TableIdentifier identifier(new_table.s->table_name.str);
-    new_table.s->db_type()->doDropTable(*session, identifier, new_table.s->table_name.str);
+    new_table.s->db_type()->doDropTable(*session, identifier);
   }
 
  err2:

